# osgGL2::UniformValueTemplate< T > Class Template Reference

UniformValueTemplate creates the concrete classes for each of the uniform value types. More...

Inheritance diagram for osgGL2::UniformValueTemplate< T >:

[legend]
List of all members.

## Public Member Functions

| UniformValueTemplate (const char *uniformName, T value)
virtual void | apply (Extensions *ext, const GLhandleARB progObj) const
virtual int | compare (const UniformValue &uv) const

## Protected Member Functions

| UniformValueTemplate ()

## Protected Attributes

const T | _value

## Detailed Description

### template<typename T>
class osgGL2::UniformValueTemplate< T >

UniformValueTemplate creates the concrete classes for each of the uniform value types.

## Constructor & Destructor Documentation

template<typename T>
osgGL2::UniformValueTemplate< T >::UniformValueTemplate | ( | const char * | uniformName,
|  | T | value
| ) | `[inline]`

template<typename T>
osgGL2::UniformValueTemplate< T >::UniformValueTemplate | ( |  | ) | `[protected]`

## Member Function Documentation

template<typename T>
void UniformValue_Vec4::apply | ( | Extensions * | ext,
|  | const GLhandleARB | progObj
| ) | const`[virtual]`

| Implements osgGL2::UniformValue.

template<typename T>
virtual int osgGL2::UniformValueTemplate< T >::compare | ( | const UniformValue & | uv | ) | const`[inline, virtual]`

| Reimplemented from osgGL2::UniformValue.

## Member Data Documentation

template<typename T>
const T osgGL2::UniformValueTemplate< T >::_value `[protected]`

The documentation for this class was generated from the following files:

- UniformValue
- UniformValue.cpp